Page 1 of 1

Borked up our Mantis install, need some guidance please

Posted: Jan 22, 2019 6:00 pm
by mushu
Mantis 2.18.0

Where do I look to start troubleshooting this error? I get in when clicking on ANY tab or option:

Code: Select all

APPLICATION WARNING #2400

Event "EVENT_NOTIFY_EMAIL" has not yet been declared. (in 'C:\MantisBT2180\core\event_api.php' line 85)

Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section.
I'd been playing with plugins and editing the EmailReporting code when I got this, but not sure if it is plugin-related or not--maybe I deleted a file or moved something. The event_api.php file does exist, and it does import the constants file.

Luckily this is on our DEV installation (whew!) but I still want to fix the problem and not just wipe and reinstall, so I understand what happened in case it happens again.

Perhaps instructions on how to manually uninstall a plugin?

Re: Borked up our Mantis install, need some guidance please

Posted: Jan 23, 2019 2:35 am
by atrol
There is no EVENT_NOTIFY_EMAIL in whole Mantis source, so this is obviously caused by a plugin or changed source of Mantis.

In case it's a plugin, use page Manage > Manage plugins to uninstall step by step 3rd party plugins until the problem does no longer occur.

Re: Borked up our Mantis install, need some guidance please

Posted: Jan 23, 2019 2:48 pm
by mushu
Solved. Was a bad plugin called HTMLemail or something like that. Thanks for the info!